<?xml version="1.0"?>

<fragment
    name = "Hyades Trace Object Reference View Plugin"
    id = "org.eclipse.hyades.trace.views.reference"
    version = "1.0.3"
    plugin-id="org.eclipse.hyades.trace.views"
    plugin-version="1.0.3">

 <extension point="org.eclipse.ui.views"> 
        <view   id         = "org.eclipse.hyades.trace.views.adapter.internal.ReferenceTableViewer"
                name       = "%STR_OBJ_REF_TITLE"
                icon       = "./icons/full/cview16/obj_ref_view.gif"
	            category   ="org.eclipse.hyades.trace.internal.ui.trace"
                class      = "org.eclipse.hyades.trace.views.adapter.internal.ReferenceTableViewer">
        </view>
</extension>

  <!-- ================================================================================= -->

<extension point="org.eclipse.ui.perspectiveExtensions">
  <perspectiveExtension 
	targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
	<actionSet id="org.eclipse.hyades.trace.referenceViewActionSet"/>
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.ReferenceTableViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>
  </perspectiveExtension> 
</extension>

  <!-- ================================================================================= -->
    
   <extension point="org.eclipse.hyades.ui.analyzerExtensions">
     <analyzerExtension
            id="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction"          
		    name="%STR_OPEN_OBJ_REF_ACTION"
		    type="Profiler"
		    extension="trace"
            icon= "./icons/full/cview16/obj_ref_view.gif"		    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction">
     </analyzerExtension>   
         
   </extension>
       
  <!-- ================================================================================= -->

 <extension point = "org.eclipse.ui.actionSets">
   <actionSet id="org.eclipse.hyades.trace.referenceViewActionSet"
	   label="%STR_RVIEW_ACTION_SET"
	   visible="false">	   
	   <action id="org.eclipse.hyades.trace.views.actions.internal.OpenReferenceAction"        
		   toolbarPath="trace/group.memoryLeak"
		   label="%STR_ACT_SET_REF_ACTION"
		   tooltip="%STR_ACT_SET_REF_ACTION_TIP"
		   icon="./icons/full/ctool16/obj_ref_co.gif"
		   class="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction">
	   </action>

	</actionSet> 
	
 </extension>
   
<extension point = "org.eclipse.ui.popupMenus">
		
	<objectContribution
		id = "org.eclipse.hyades.models.trace.TRCClass"
		objectClass = "org.eclipse.hyades.models.trace.TRCClass">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction"          
		    label="%SHOW_OBJ_REF"
            icon= "./icons/full/cview16/obj_ref_view.gif"	
			menubarPath = "open.views"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction">
        </action> 
	</objectContribution>	

	<objectContribution
		id = "org.eclipse.hyades.models.trace.TRCObject"
		objectClass = "org.eclipse.hyades.models.trace.TRCObject">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction"          
		    label="%SHOW_OBJ_REF"
            icon= "./icons/full/cview16/obj_ref_view.gif"	
			menubarPath = "open.views"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction">
        </action> 
	</objectContribution>	

</extension> 


<extension point = "org.eclipse.ui.viewActions">
<!-- Contributions to Monitors View Toolbar -->
	<viewContribution
		id = "org.eclipse.hyades.trace.monitorsview.toolbar"
		targetID = "org.eclipse.hyades.trace.internal.ui.PDProjectExplorer">
<!-- GC group-->
	   <action id="org.eclipse.hyades.trace.ui.internal.monitorsview.toolbar.collectObjRef"        
		   toolbarPath="gcGroup"
		   label="%DUMP_OBJ_REF_ACTION"
		   tooltip="%DUMP_OBJ_REF_ACTION_TIP"
		   icon="icons/full/elcl16/heap_start_co.gif"
		   disabledIcon="icons/full/dlcl16/heap_start_co.gif"
           hoverIcon="icons/full/clcl16/heap_start_co.gif"								   
		   class="org.eclipse.hyades.trace.ui.internal.actions.CollectObjRefActionDelegate">
	   </action>
	   				
	</viewContribution>
</extension>


<extension point = "org.eclipse.ui.popupMenus">
<!-- Contributions to Monitors View Popup Menu -->
	<objectContribution
		id = "org.eclipse.hyades.models.hierarchy.TRCAgentProxy"
		objectClass = "org.eclipse.hyades.models.hierarchy.TRCAgentProxy">
<!--GC Group -->			   
		<action
			id = "org.eclipse.hyades.trace.ui.monitorsview.popupMenu.ObjRef"
			menubarPath = "gcGroup"
			icon = "icons/full/elcl16/heap_start_co.gif"
			helpContextId = "collect_oj_ref_action_context"
			class = "org.eclipse.hyades.trace.ui.internal.actions.CollectObjRefAction"
		   label="%DUMP_OBJ_REF_ACTION"
		   tooltip="%DUMP_OBJ_REF_ACTION_TIP">
		</action>						  			
	</objectContribution>
	
	<objectContribution
		id = "org.eclipse.hyades.models.hierarchy.TRCProcessProxy"
		objectClass = "org.eclipse.hyades.models.hierarchy.TRCProcessProxy">
<!--GC Group -->
			   
		<action
			id = "org.eclipse.hyades.trace.ui.monitorsview.popupMenu.ObjRef"
			menubarPath = "gcGroup"
			icon = "icons/full/elcl16/heap_start_co.gif"
			helpContextId = "collect_oj_ref_action_context"
			class = "org.eclipse.hyades.trace.ui.internal.actions.CollectObjRefAction"
		   label="%DUMP_OBJ_REF_ACTION"
		   tooltip="%DUMP_OBJ_REF_ACTION_TIP">
		</action>				
	</objectContribution>
		
</extension>

</fragment>
